package com.example.survey.entity;

import com.example.survey.entity.inner.AdministrativeArea;
import com.example.survey.entity.inner.ProjectPart;
import lombok.*;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Set;

/**
 * @author Pope
 * 调查对象表
 */
@Data
@Document(collection = "respondent")
public class Respondent {

    /**
     * id
     */
    @Id
    private ObjectId id;

    /**
     * 身份证号
     */
    @Indexed(unique = true)
    private String idNumber;

    /**
     * 电话
     */
    private String phone;

    /**
     * 姓名
     */
    private String name;

    /**
     * 备注
     */
    private String msg;

    /**
     * 性别
     */
    private String gender;

    /**
     * 行政区划
     */
    private AdministrativeArea administrativeArea;

    /**
     * 分配的人员
     */
    private User user;

    /**
     * 项目
     */
    private Project project;

    /**
     * 调查对象状态
     */
    private String state;
}
